import 'babel-polyfill';
import Vue from 'vue'
import App from './App.vue'
import Router from 'vue-router'
import 'sei-ui/src/directives';
import 'element-ui/lib/theme-chalk/index.css';
import {store, router} from 'sei-ui';

import {XDialogEdit, XForm, XFormItem, XTableEdit, XTableColumn, XQuery, XQueryItem, XSplitter, XSelect, XSelectTable, XInput, XTree, XUpload} from 'sei-ui';
Vue.component(XDialogEdit.name, XDialogEdit);
Vue.component(XForm.name, XForm);
Vue.component(XFormItem.name, XFormItem);
Vue.component(XTableEdit.name, XTableEdit);
Vue.component(XTableColumn.name, XTableColumn);
Vue.component(XQuery.name, XQuery);
Vue.component(XQueryItem.name, XQueryItem);
Vue.component(XSplitter.name, XSplitter);
Vue.component(XSelect.name, XSelect);
Vue.component(XSelectTable.name, XSelectTable);
Vue.component(XInput.name, XInput);
Vue.component(XTree.name, XTree);
Vue.component(XUpload.name, XUpload);

Vue.use(Router);
Vue.prototype.$ELEMENT = {size: 'mini'};
Vue.prototype.$routerCall = (v) => v && import('@/'+v); /* 必须保留 */

/** 系统默认对用户口令进行md5加密,如果不对用户口令进行md5加密请设置为false */
// Vue.prototype.$md5 = false;

/** 设置项目图标及名称,sysid指定使用哪个项目,不设置则在模块中有系统选择框 */
Vue.prototype.$project = {
    logo: require('./assets/logo.png'),
    name: '云开发平台',
    sysid: 'sys'
};

Vue.config.productionTip = false;

new Vue({
    store,
    router: router.router,
    render: h => h(App)
}).$mount('#app');
