let webpack = require('webpack');
let monacoWebpackPlugin = require('monaco-editor-webpack-plugin')
module.exports = {
    chainWebpack: config => {
        config.plugin('provide').use(webpack.ProvidePlugin, [{'window.Quill': 'quill/dist/quill.js', 'Quill': 'quill/dist/quill.js'}]);
        config.plugin('monaco-editor').use(monacoWebpackPlugin);
        config.resolve.symlinks(true);
        config.plugin('MiniCssExtractPlugin').use(require('mini-css-extract-plugin'));

    },
    runtimeCompiler: true,
    outputDir: 'dist', /* 输出文件目录 */
    publicPath: './',
    productionSourceMap: false,
    css: {
        extract: true, /* 是否使用css分离插件 ExtractTextPlugin */
        sourceMap: false, /* 不开启 CSS source maps */
        loaderOptions: {
            // less: {
            //     lessOptions: {
            //         javascriptEnabled: true,
            //         globalVars: {
            //             hack: `true; @import '~@/views/styles/global.less';`
            //         }
            //     }
            // },
            // sass: {
            //     additionalData: `@import "~@/x.scss";`
            // }
        }, /* css预设器配置项 */
        modules: false /* 启用 CSS modules for all css / pre-processor files */
    },
    devServer: {
        hot: true, /* 开启热点 */
        inline: true, /* 开启页面自动刷新 */
        progress: true, /* 显示打包的进度 */
        disableHostCheck: true,
        // port:8080,
        open: true,
        watchOptions: {
            aggregateTimeout: 300
        },
        proxy: {
            '/': {
                target: 'http://127.0.0.1:8081', /* 后台服务器地址 */
                hot: true,
                ws: false,
                changeOrigin: true
            }
        }
    },
    lintOnSave: false,
    transpileDependencies: ['sei-ui']
};
